> ## Documentation Index
> Fetch the complete documentation index at: https://globale-enterprise.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# RemoveRestrictedProducts (Global-e to Merchant)

> This API removes restricted products from the merchant cart; it notifies merchants that restricted products were removed from the cart, then merchants must also update the cart on the merchant side.

<Info>
  This API is part of Global-e's extensions and plug-ins. Merchants do not need to implement this API unless a custom integration is required.
</Info>

This API removes restricted products from the merchant cart; it notifies merchants that restricted products were removed from the cart, then merchants must also update the cart on the merchant side.


## OpenAPI

````yaml api-reference/specs/removerestrictedproducts.yaml POST /remove-restricted-products-url
openapi: 3.0.3
info:
  title: RemoveRestrictedProducts (Global-e to Merchant)
  version: 1.0.0
  x-scaled-review: true
  description: >-
    This API removes restricted products from the merchant cart; it notifies
    merchants that restricted products were removed from the cart, then
    merchants must also update the cart on the merchant side.
servers:
  - url: https://{merchant_site_domain}
    variables:
      merchant_site_domain:
        default: www.merchant-site-domain.com
        description: >-
          The merchant's site domain hosting the remove-restricted-products
          endpoint. The merchant supplies the actual URL to Global-e; the
          documentation shows it as a placeholder.
security: []
tags:
  - name: RemoveRestrictedProducts (Global-e to Merchant)
    x-page-title: RemoveRestrictedProducts
  - name: 'Direction: Global-e → Merchant'
  - name: 'Domain: Checkout & Cart'
paths:
  /remove-restricted-products-url:
    post:
      tags:
        - RemoveRestrictedProducts (Global-e to Merchant)
      summary: RemoveRestrictedProducts (Global-e to Merchant)
      description: >-
        This API removes restricted products from the merchant cart; it notifies
        merchants that restricted products were removed from the cart, then
        merchants must also update the cart on the merchant side.
      operationId: removeRestrictedProducts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoveRestrictedProductsRequest'
            example:
              MerchantGUID: abcdabcd-abcd-abcd-abcd-abcdabcdabcd
              CartToken: d3b9d91b-cbc9-4485-9f37-b0490c419338
              CartId: 37296D5PJE
              UserId: null
              CountryCode: VN
              CurrencyCode: VND
              WebStoreCode: null
              WebStoreInstanceCode: null
              RemovedProductCodes:
                - 1601893OPK0XS
      responses:
        '200':
          description: >-
            Provides details about response to API call for removal of a
            restricted product.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoveRestrictedProductsResponse'
              example:
                IsSuccess: true
components:
  schemas:
    RemoveRestrictedProductsRequest:
      type: object
      title: Merchant.RemoveRestrictedProductsRequest
      description: >-
        Contains information related to a request to remove a restricted
        product.
      properties:
        CartId:
          type: string
          description: >-
            Identifier of the cart on the Merchant’s site originally specified
            in merchantCartToken argument for SendCart method for the cart
            converted to this order on Global‑e.
        CartToken:
          type: string
          description: >-
            The value returned from the previous call to SendCart for the same
            client (must be stored in the client session or persistent cookie on
            the Merchant’s side). This parameter is used to support cart
            updates.
        CountryCode:
          type: string
          description: 2-char ISO country code
        CurrencyCode:
          type: string
          description: 3-char ISO currency code.
        MerchantGUID:
          type: string
          description: Unique identifier of the Merchant on Global-e.
        RemovedProductCodes:
          type: array
          items:
            type: string
          description: List of SKU codes for products removal from the cart.
        UserId:
          type: string
          nullable: true
          description: >-
            Internal User identifier on the Merchant’s site in case it was
            specified in the SendCart call.
        WebStoreCode:
          type: string
          nullable: true
          description: >-
            Code used on the Merchant’s side to identify the web store where the
            current cart is originating from. This code should be used in case
            of a multi-store setup on the Merchant’s site.
        WebStoreInstanceCode:
          type: string
          nullable: true
          description: >-
            Code used on the Merchant’s side to identify the web store instance
            where the current cart is originating from. This code should be used
            in case of multi-store domains set up on the Merchant’s site.
    RemoveRestrictedProductsResponse:
      type: object
      title: Merchant.RemoveRestrictedProductsResponse
      description: >-
        Provides details about response to API call for removal of a restricted
        product.
      properties:
        ErrorCode:
          type: string
          description: Code of the error if it happened
        ErrorMessage:
          type: string
          description: Description of the error if it happened
        IsSuccess:
          type: boolean
          description: >-
            Indicates if the result is success. TRUE - Restricted product
            removal successful. FALSE - Restricted product removal not
            successful.

````